Bug 1967803 - should update to 7.5.5 for grafana resources version label
Summary: should update to 7.5.5 for grafana resources version label
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Monitoring
Version: 4.8
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.8.0
Assignee: Sunil Thaha
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-06-04 03:30 UTC by Junqi Zhao
Modified: 2021-09-17 06:19 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 23:11:27 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-monitoring-operator pull 1210 0 None closed Bug 1967803: update Grafana version to 7.5.5 2021-06-14 11:44:43 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:11:38 UTC

Description Junqi Zhao 2021-06-04 03:30:04 UTC
Description of problem:
bug 1931277, grafana version is bumped to 7.5.5, but the label is still 7.5.4, same for clusterrole/clusterrolebindings/deploy/service/ServiceAccount/servicemonitors/PrometheusRule grafana resources
# token=`oc sa get-token prometheus-k8s -n openshift-monitoring`
# oc -n openshift-monitoring exec -c prometheus prometheus-k8s-0 -- curl -k -H "Authorization: Bearer $token" 'https://grafana.openshift-monitoring.svc:3000/api/health'
{
  "commit": "unknown-dev",
  "database": "ok",
  "version": "7.5.5"
}

# oc -n openshift-monitoring get po --show-labels | grep grafana
grafana-67dcfc8f97-zsm55                      2/2     Running   0          86m    app.kubernetes.io/component=grafana,app.kubernetes.io/name=grafana,app.kubernetes.io/part-of=openshift-monitoring,app.kubernetes.io/version=7.5.4,pod-template-hash=67dcfc8f97

# oc -n openshift-monitoring get deploy grafana -oyaml | grep labels -A6
  labels:
    app.kubernetes.io/component: grafana
    app.kubernetes.io/name: grafana
    app.kubernetes.io/part-of: openshift-monitoring
    app.kubernetes.io/version: 7.5.4
  name: grafana

# oc -n openshift-monitoring get servicemonitor grafana -oyaml | grep labels -A6
  labels:
    app.kubernetes.io/component: grafana
    app.kubernetes.io/name: grafana
    app.kubernetes.io/part-of: openshift-monitoring
    app.kubernetes.io/version: 7.5.4
  name: grafana
  namespace: openshift-monitoring


Version-Release number of selected component (if applicable):
4.8.0-0.nightly-2021-06-03-221810

How reproducible:
always

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Junqi Zhao 2021-06-15 01:06:59 UTC
tested with 4.8.0-0.nightly-2021-06-14-145150, grafana resources version label is 7.5.5 now

Comment 5 errata-xmlrpc 2021-07-27 23:11:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.